
# Docker image version
IMAGE_VERSION={{ lookup('env', 'IMAGE_VERSION') }}

OAIPMH_SERVER_BASE_URL=https://oaipmh.naturalis.nl/medialib

# For daily harvests:
OAI_SET=Herbarium-Brahms-Algemeen

# For full harvests:
# OAI_SET=Herbarium-Brahms-Algemeen,Glasstraat-Brahms-Algemeen,HERBARIUMLEIDEN,HerbariumstraatLeiden-Brahms-Algemeen,HerbariumstraatWageningen-Brahms-Algemeen,HERBARIUMWAG,MELLON,Mellon-Brahms-Algemeen

# How often to harvest. Decimal numbers allowed.
HARVEST_INTERVAL_HOURS=6

# How far to look back in time for new image arrivals. Make about
# 2 to 4 times as long as HARVEST_INTERVAL_HOURS, so nothing gets
# lost in case of incidental harvest failures. Will cause images
# to be harvested multiple times, but the program will check for
# duplicates before insertion into the Brahms database. Decimal
# numbers (like 2.5) are allowed. Leave empty for full harvests.
LOOK_BACK_DAYS=2

DB_HOST={{ DB_HOST }}
DB_PORT={{ DB_PORT }}
DB_USER={{ DB_USER }}
# Single-quote password because it currently contains a $ sign.
DB_PASS='{{ DB_PASS }}'
DB_NAME={{ DB_NAME }}

# Log level for nl.naturalis code
LOG_LEVEL=INFO

# Run periodically every HARVEST_INTERVAL_HOURS, or just once
# and exit?
RUN_ONCE=false

# Is this a repair harvest? A repair harvest is a harvest following
# the complete removal of all medialib.naturalis.nl images from the
# Brahms database. In that case we don't need to check for duplicates,
# which will save a lot of time, because the harvest is likely to be
# a _full_ harvest in that case. If REPAIR is set to true, the
# RUN_ONCE variable is ignored. The harvest will run just once.
REPAIR=false

# The number of medialib records to retrieve at a time. Gets
# translated into the oaipmh server's  __pageSize query parameter.
# Set as high possible without blowing up the JVM.
BATCH_SIZE=5000

